type: com.google.api.codegen.ConfigProto
config_schema_version: 1.0.0
language_settings:
  java:
    package_name: com.google.cloud.vision.v1
  python:
    package_name: google.cloud.vision_v1.gapic
  go:
    package_name: cloud.google.com/go/vision/apiv1
    release_level: GA
  csharp:
    package_name: Google.Cloud.Vision.V1
    release_level: GA
  ruby:
    package_name: Google::Cloud::Vision::V1
  php:
    package_name: Google\Cloud\Vision\V1
  nodejs:
    package_name: vision.v1
    domain_layer_location: google-cloud
license_header:
  copyright_file: copyright-google.txt
  license_file: license-header-apache-2.0.txt
interfaces:
- name: google.cloud.vision.v1.ImageAnnotator
  smoke_test:
    method: BatchAnnotateImages
    init_fields:
    - requests[0].image.source.gcs_image_uri="gs://gapic-toolkit/President_Barack_Obama.jpg"
    - requests[0].features[0].type=FACE_DETECTION
  collections: []
  retry_codes_def:
  - name: idempotent
    retry_codes:
    - UNAVAILABLE
    - DEADLINE_EXCEEDED
  - name: non_idempotent
    retry_codes: []
  retry_params_def:
  - name: default
    initial_retry_delay_millis: 100
    retry_delay_multiplier: 1.3
    max_retry_delay_millis: 60000
    initial_rpc_timeout_millis: 60000
    rpc_timeout_multiplier: 1
    max_rpc_timeout_millis: 60000
    total_timeout_millis: 600000
  methods:
  - name: BatchAnnotateImages
    flattening:
      groups:
      - parameters:
        - requests
    required_fields:
    - requests
    request_object_method: false
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
